org.keycloak.representations

## Class IDToken

- java.lang.Object
- - org.keycloak.representations.JsonWebToken
  - - org.keycloak.representations.IDToken

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AccessToken

      public class IDToken
      extends JsonWebToken

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `acr`
    `static String` | `ACR`
    `protected AddressClaimSet` | `address`
    `static String` | `ADDRESS`
    `static String` | `AUTH_TIME`
    `protected int` | `authTime`
    `protected String` | `birthdate`
    `static String` | `BIRTHDATE`
    `static String` | `CLAIMS_LOCALES`
    `protected String` | `claimsLocales`
    `protected String` | `email`
    `static String` | `EMAIL`
    `static String` | `EMAIL_VERIFIED`
    `protected Boolean` | `emailVerified`
    `static String` | `FAMILY_NAME`
    `protected String` | `familyName`
    `protected String` | `gender`
    `static String` | `GENDER`
    `static String` | `GIVEN_NAME`
    `protected String` | `givenName`
    `protected String` | `locale`
    `static String` | `LOCALE`
    `static String` | `MIDDLE_NAME`
    `protected String` | `middleName`
    `protected String` | `name`
    `static String` | `NAME`
    `protected String` | `nickName`
    `static String` | `NICKNAME`
    `protected String` | `nonce`
    `static String` | `NONCE`
    `static String` | `PHONE_NUMBER`
    `static String` | `PHONE_NUMBER_VERIFIED`
    `protected String` | `phoneNumber`
    `protected Boolean` | `phoneNumberVerified`
    `protected String` | `picture`
    `static String` | `PICTURE`
    `static String` | `PREFERRED_USERNAME`
    `protected String` | `preferredUsername`
    `protected String` | `profile`
    `static String` | `PROFILE`
    `static String` | `SESSION_STATE`
    `protected String` | `sessionState`
    `static String` | `UPDATED_AT`
    `protected Long` | `updatedAt`
    `protected String` | `website`
    `static String` | `WEBSITE`
    `protected String` | `zoneinfo`
    `static String` | `ZONEINFO`

    - ### Fields inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, id, issuedAt, issuedFor, issuer, notBefore, otherClaims, subject, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcr()`
    `AddressClaimSet` | `getAddress()`
    `int` | `getAuthTime()`
    `String` | `getBirthdate()`
    `String` | `getClaimsLocales()`
    `String` | `getEmail()`
    `Boolean` | `getEmailVerified()`
    `String` | `getFamilyName()`
    `String` | `getGender()`
    `String` | `getGivenName()`
    `String` | `getLocale()`
    `String` | `getMiddleName()`
    `String` | `getName()`
    `String` | `getNickName()`
    `String` | `getNonce()`
    `String` | `getPhoneNumber()`
    `Boolean` | `getPhoneNumberVerified()`
    `String` | `getPicture()`
    `String` | `getPreferredUsername()`
    `String` | `getProfile()`
    `String` | `getSessionState()`
    `Long` | `getUpdatedAt()`
    `String` | `getWebsite()`
    `String` | `getZoneinfo()`
    `void` | `setAcr(String acr)`
    `void` | `setAddress(AddressClaimSet address)`
    `void` | `setAuthTime(int authTime)`
    `void` | `setBirthdate(String birthdate)`
    `void` | `setClaimsLocales(String claimsLocales)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(Boolean emailVerified)`
    `void` | `setFamilyName(String familyName)`
    `void` | `setGender(String gender)`
    `void` | `setGivenName(String givenName)`
    `void` | `setLocale(String locale)`
    `void` | `setMiddleName(String middleName)`
    `void` | `setName(String name)`
    `void` | `setNickName(String nickName)`
    `void` | `setNonce(String nonce)`
    `void` | `setPhoneNumber(String phoneNumber)`
    `void` | `setPhoneNumberVerified(Boolean phoneNumberVerified)`
    `void` | `setPicture(String picture)`
    `void` | `setPreferredUsername(String preferredUsername)`
    `void` | `setProfile(String profile)`
    `void` | `setSessionState(String sessionState)`
    `void` | `setUpdatedAt(Long updatedAt)`
    `void` | `setWebsite(String website)`
    `void` | `setZoneinfo(String zoneinfo)`

    - ### Methods inherited from class org.keycloak.representations.JsonWebToken

      `audience, expiration, getAudience, getExpiration, getId, getIssuedAt, getIssuedFor, getIssuer, getNotBefore, getOtherClaims, getSubject, getType, hasAudience, id, isActive, isExpired, isNotBefore, issuedAt, issuedFor, issuedNow, issuer, notBefore, setOtherClaims, setSubject, subject, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONCE

          public static final String NONCE

      See Also:
        Constant Field Values

    - #### AUTH_TIME

          public static final String AUTH_TIME

      See Also:
        Constant Field Values

    - #### SESSION_STATE

          public static final String SESSION_STATE

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### GIVEN_NAME

          public static final String GIVEN_NAME

      See Also:
        Constant Field Values

    - #### FAMILY_NAME

          public static final String FAMILY_NAME

      See Also:
        Constant Field Values

    - #### MIDDLE_NAME

          public static final String MIDDLE_NAME

      See Also:
        Constant Field Values

    - #### NICKNAME

          public static final String NICKNAME

      See Also:
        Constant Field Values

    - #### PREFERRED_USERNAME

          public static final String PREFERRED_USERNAME

      See Also:
        Constant Field Values

    - #### PROFILE

          public static final String PROFILE

      See Also:
        Constant Field Values

    - #### PICTURE

          public static final String PICTURE

      See Also:
        Constant Field Values

    - #### WEBSITE

          public static final String WEBSITE

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final String EMAIL

      See Also:
        Constant Field Values

    - #### EMAIL_VERIFIED

          public static final String EMAIL_VERIFIED

      See Also:
        Constant Field Values

    - #### GENDER

          public static final String GENDER

      See Also:
        Constant Field Values

    - #### BIRTHDATE

          public static final String BIRTHDATE

      See Also:
        Constant Field Values

    - #### ZONEINFO

          public static final String ZONEINFO

      See Also:
        Constant Field Values

    - #### LOCALE

          public static final String LOCALE

      See Also:
        Constant Field Values

    - #### PHONE_NUMBER

          public static final String PHONE_NUMBER

      See Also:
        Constant Field Values

    - #### PHONE_NUMBER_VERIFIED

          public static final String PHONE_NUMBER_VERIFIED

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final String ADDRESS

      See Also:
        Constant Field Values

    - #### UPDATED_AT

          public static final String UPDATED_AT

      See Also:
        Constant Field Values

    - #### CLAIMS_LOCALES

          public static final String CLAIMS_LOCALES

      See Also:
        Constant Field Values

    - #### ACR

          public static final String ACR

      See Also:
        Constant Field Values

    - #### nonce

          protected String nonce

    - #### authTime

          protected int authTime

    - #### sessionState

          protected String sessionState

    - #### name

          protected String name

    - #### givenName

          protected String givenName

    - #### familyName

          protected String familyName

    - #### middleName

          protected String middleName

    - #### nickName

          protected String nickName

    - #### preferredUsername

          protected String preferredUsername

    - #### profile

          protected String profile

    - #### picture

          protected String picture

    - #### website

          protected String website

    - #### email

          protected String email

    - #### emailVerified

          protected Boolean emailVerified

    - #### gender

          protected String gender

    - #### birthdate

          protected String birthdate

    - #### zoneinfo

          protected String zoneinfo

    - #### locale

          protected String locale

    - #### phoneNumber

          protected String phoneNumber

    - #### phoneNumberVerified

          protected Boolean phoneNumberVerified

    - #### address

          protected AddressClaimSet address

    - #### updatedAt

          protected Long updatedAt

    - #### claimsLocales

          protected String claimsLocales

    - #### acr

          protected String acr

  - ### Constructor Detail

    - #### IDToken

          public IDToken()

  - ### Method Detail

    - #### getNonce

          public String getNonce()

    - #### setNonce

          public void setNonce(String nonce)

    - #### getAuthTime

          public int getAuthTime()

    - #### setAuthTime

          public void setAuthTime(int authTime)

    - #### getSessionState

          public String getSessionState()

    - #### setSessionState

          public void setSessionState(String sessionState)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getGivenName

          public String getGivenName()

    - #### setGivenName

          public void setGivenName(String givenName)

    - #### getFamilyName

          public String getFamilyName()

    - #### setFamilyName

          public void setFamilyName(String familyName)

    - #### getMiddleName

          public String getMiddleName()

    - #### setMiddleName

          public void setMiddleName(String middleName)

    - #### getNickName

          public String getNickName()

    - #### setNickName

          public void setNickName(String nickName)

    - #### getPreferredUsername

          public String getPreferredUsername()

    - #### setPreferredUsername

          public void setPreferredUsername(String preferredUsername)

    - #### getProfile

          public String getProfile()

    - #### setProfile

          public void setProfile(String profile)

    - #### getPicture

          public String getPicture()

    - #### setPicture

          public void setPicture(String picture)

    - #### getWebsite

          public String getWebsite()

    - #### setWebsite

          public void setWebsite(String website)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getEmailVerified

          public Boolean getEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(Boolean emailVerified)

    - #### getGender

          public String getGender()

    - #### setGender

          public void setGender(String gender)

    - #### getBirthdate

          public String getBirthdate()

    - #### setBirthdate

          public void setBirthdate(String birthdate)

    - #### getZoneinfo

          public String getZoneinfo()

    - #### setZoneinfo

          public void setZoneinfo(String zoneinfo)

    - #### getLocale

          public String getLocale()

    - #### setLocale

          public void setLocale(String locale)

    - #### getPhoneNumber

          public String getPhoneNumber()

    - #### setPhoneNumber

          public void setPhoneNumber(String phoneNumber)

    - #### getPhoneNumberVerified

          public Boolean getPhoneNumberVerified()

    - #### setPhoneNumberVerified

          public void setPhoneNumberVerified(Boolean phoneNumberVerified)

    - #### getAddress

          public AddressClaimSet getAddress()

    - #### setAddress

          public void setAddress(AddressClaimSet address)

    - #### getUpdatedAt

          public Long getUpdatedAt()

    - #### setUpdatedAt

          public void setUpdatedAt(Long updatedAt)

    - #### getClaimsLocales

          public String getClaimsLocales()

    - #### setClaimsLocales

          public void setClaimsLocales(String claimsLocales)

    - #### getAcr

          public String getAcr()

    - #### setAcr

          public void setAcr(String acr)

Copyright © 2016 JBoss by Red Hat. All rights reserved.